require "rattle/version"

module Rattle
  refine Hash do
    def deep_gsub(&block)
      self.map { |k,v|
        new_k, new_v = block.call(k,v)

        if new_v.is_a?(Hash)
          new_v = new_v.deep_gsub(&block)
        end

        [new_k, new_v]
      }.to_h
    end
  end
end
